import java.util.*;
import java.text.*;
/**
 * Clase de Prueba para otras Clases
 * 
 * @author G. Cherencio
 * @version 1.0
 */
public class App {
    public static void main(String args[]) {
        Cliente c = new Cliente(100,"Juan",0.0);
        Cliente c2 = new Cliente(1100,"Otro Juan",0.0);
        System.out.println("c es igual a c2? "+c.equals(c2));
        System.out.println("c.hashCode() ="+c.hashCode());
        System.out.println("c2.hashCode() ="+c2.hashCode());
        System.out.println("el .toString() de c es:"+c);
        System.out.println("el .toString() de c2 es:"+c2);
        c.agregarSaldo(100.0).agregarSaldo(150.0).agregarSaldo(200.0);
        System.out.println("Cliente Saldo: "+c.agregarSaldo(50.0).getSaldo());
        
        Producto p = new Producto(100,"Tenaza",450.25);
        Producto p2 = new Producto(101,"Martillo",350.0);
        Detalle d = new Detalle(p,1,450.25);
        System.out.println("El subtotal de detalle es: "+ d.getSubtotal());
        Factura f = new Factura();
        System.out.println("Fecha de Factura: "+f.getFechaStr());
        f.setFecha("pepe");
        System.out.println("Fecha de Factura: "+f.getFechaStr());
        f.confirmar();
        System.out.println("Monto de Factura: "+f.getMonto()+" confirmada="+f.isConfirmada());
        f.addDetalle(d);
        f.addDetalle(new Detalle(p2,2,350.0));
        System.out.println("Monto de Factura: "+f.getMonto()+" confirmada="+f.isConfirmada());
        System.out.println("Saldo cliente de Factura: "+f.getCliente().getSaldo());
        System.out.println("Stock producto de Factura: "+d.getProducto().getStock());
        f.confirmar();
        System.out.println("Saldo cliente de Factura: "+f.getCliente().getSaldo());
        System.out.println("Monto de Factura: "+f.getMonto()+" confirmada="+f.isConfirmada());
        System.out.println("Stock producto de Factura: "+d.getProducto().getStock());
        f.pagar();
        System.out.println("Saldo cliente de Factura: "+f.getCliente().getSaldo());
        System.out.println("Factura:\n"+f);
        GregorianCalendar gc = new GregorianCalendar(2020,6,9);
        Date fecha = gc.getTime();
        SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
        String sfecha = sdf.format(fecha);
        System.out.println("Fecha: "+sfecha);
        System.out.println("Fecha pepe:"+formatoOk("pepe"));
        System.out.println("Fecha 09/07/2020:"+formatoOk("09/07/2020"));
        
    }
    public static boolean formatoOk(String sfecha) {
        boolean ret = true;
        try {
            SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
            Date d = sdf.parse(sfecha);
        }catch(ParseException pe) {
            ret = false;
        }
        return ret;
    }
}
